Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
iceweacel não reconhece JRE ????[RESOLVIDO]
31/08/2007, 20:37
Resposta: #1
iceweacel não reconhece JRE ????[RESOLVIDO]
iai galera a três dias atras eu instalei o JDK que ja vem com o JRE pois preciso para programar em java,dai baixei do site da sun instalei depois criei o link simbolico do plugin do jre para o plugin do iceweasel e ao ir no site do java e fazer o teste aparecia direitinho dizendo que estava instalado ate ai tudo bem pegando o eclipse javac compilando tudo blz.

hoje eu precisei reinstalar o sistema o conssequentemente reinstalar todos os programas e ao realizar o mesmo procedimento instalando tudo da mesma forma criando o link simbolico em fim mais ao ir ao site do java e fazer o teste ele diz que não esta instalado,detalhe. la na pasta de plugin do iceweasel o link esta la e ao instalar o eclipse e compilar alguma coisa tanto no eclipse quanto no javac ele compila sem problemas somente o iceweasel que não o reconhece....

se alguem tiver uma ideia ai galera eu agradeço pois apesar de o principal motivo que eu quero o java é para programar e esta pegando, mais sem o iceweasel reconhecer eu não posso por exemplo entra no site do banco do brasil para realizar operaçoões no teclado virtual...

vlw galera espero resposta...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/09/2007, 00:12
Resposta: #2
 
Então, realmente seu problema é o JRE, como vc efetuou a instalação dele? E como instalou o Eclipse? poste o resultado do comando :

java -version
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/09/2007, 07:11
Resposta: #3
 
spikey Escreveu:Então, realmente seu problema é o JRE, como vc efetuou a instalação dele? E como instalou o Eclipse? poste o resultado do comando :

java -version


debian:/home/arilson# java -version
java version "1.6.0_02"
Java™ SE Runtime Environment (build 1.6.0_02-b05)
Java HotSpot™ Client VM (build 1.6.0_02-b05, mixed mode, sharing)

instalei o JDK da seguinte maneira:

baixei do site o arquivo self-stracting file depois instalei

bash jdk1.6.0_02
depois li a licensa digitei yes no final

depois movi a pasta gerada depois do bash para /usr/lib

mv jdk1.6.0_02 /usr/lib

depois criei um link simbolico da sehinte maneira:

ln -s /usr/lib/jdk1.6.0_02/jre/plugin/i386/ns7/libjavaplugin_oji.so /usr/lib/iceweasel/plugins

o eclipse instalei via apt-get depois adicionei a seguinte linha no arquivo:

vi ~/.bashrc

adicionei a linha no final:

export PATH=:/usr/lib/jdk1.6.0_02/bin:$PATH

execultei o comando

source ~/.bashrc

depois disso testando por exemplo:

public class teste {

public static void main(String args[]) {
System.out.println("Olá mundo");
}

}

salvando em um editor de texto como teste.java e execultando depois javac teste.java e depois java teste ele compilou normalmente e apresentou "olá mundo"

e no eclipse tambem funcionou e compilou normalmente...

somente o iceeasel que não reconhece o plugin ...

fiz exatamente como fazia anteriormente mais dessa vez ao fazer o teste do java na pagina da sun ele não reconhece o jre ...

vlw kra espero resposta flw
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/09/2007, 12:31
Resposta: #4
 
Verifique no IceWeasel, se aparecem os plugins relacionados ao Java com o comando about:plugins, em sua barra de endereços ...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/09/2007, 13:30
Resposta: #5
 
spikey Escreveu:Verifique no IceWeasel, se aparecem os plugins relacionados ao Java com o comando about:plugins, em sua barra de endereços ...

Java™ Plug-in 1.6.0_02-b05

Nome do arquivo: libjavaplugin_oji.so
Java™ Plug-in 1.6.0_02

Tipo MIME Descrição Sufixos Ativo
application/x-java-vm Java Sim
application/x-java-applet Java Sim
application/x-java-applet;version=1.1 Java Sim
application/x-java-applet;version=1.1.1 Java Sim
application/x-java-applet;version=1.1.2 Java Sim
application/x-java-applet;version=1.1.3 Java Sim
application/x-java-applet;version=1.2 Java Sim
application/x-java-applet;version=1.2.1 Java Sim
application/x-java-applet;version=1.2.2 Java Sim
application/x-java-applet;version=1.3 Java Sim
application/x-java-applet;version=1.3.1 Java Sim
application/x-java-applet;version=1.4 Java Sim
application/x-java-applet;version=1.4.1 Java Sim
application/x-java-applet;version=1.4.2 Java Sim
application/x-java-applet;version=1.5 Java Sim
application/x-java-applet;version=1.6 Java Sim
application/x-java-applet;jpi-version=1.6.0_02 Java Sim
application/x-java-bean Java Sim
application/x-java-bean;version=1.1 Java Sim
application/x-java-bean;version=1.1.1 Java Sim
application/x-java-bean;version=1.1.2 Java Sim
application/x-java-bean;version=1.1.3 Java Sim
application/x-java-bean;version=1.2 Java Sim
application/x-java-bean;version=1.2.1 Java Sim
application/x-java-bean;version=1.2.2 Java Sim
application/x-java-bean;version=1.3 Java Sim
application/x-java-bean;version=1.3.1 Java Sim
application/x-java-bean;version=1.4 Java Sim
application/x-java-bean;version=1.4.1 Java Sim
application/x-java-bean;version=1.4.2 Java Sim
application/x-java-bean;version=1.5 Java Sim
application/x-java-bean;version=1.6 Java Sim
application/x-java-bean;jpi-version=1.6.0_02 Java Sim

spikey o resultado foi esse da uma olhada ai e me diz oq ue ta errado ...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/09/2007, 16:46
Resposta: #6
 
tenta um
Código:
#apt-get install sun-java6-plugin
Citar esta mensagem em uma resposta
01/09/2007, 18:10
Resposta: #7
 
Bom, tente reinstalar o Java, e depois recriar o link para ver o que ocorre ...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/09/2007, 18:38
Resposta: #8
 
spikey Escreveu:Bom, tente reinstalar o Java, e depois recriar o link para ver o que ocorre ...


kra ja fiz isso duas vezes ...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/09/2007, 18:45
Resposta: #9
 
Então teste com outro navegador, para saber se o problema não é o IceWeasel ...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
02/09/2007, 22:24
Resposta: #10
 
spikey Escreveu:Então teste com outro navegador, para saber se o problema não é o IceWeasel ...

spikey eu resolvi instalar pelo apt-get instalei o jdk e o jdk-plugin dai ta funcionando legal mais valew a ajuda ... flw
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS